--------------------------------------------------------------------
-- Frames
--------------------------------------------------------------------

function Glance.Functions.loadFrame()
	---------------------------
	-- parent frame
	---------------------------
	Glance.Frames.mainFrame = CreateFrame("BUTTON", "Glance", UIParent)
	Glance.Frames.mainFrame:SetWidth(Glance.Variables.screenWidth)
	Glance.Frames.mainFrame:SetHeight(13)
	Glance.Frames.mainFrame:SetPoint("TOPLEFT", 0, 0)
	Glance.Frames.mainFrame:SetPoint("TOPRIGHT", 0, 0)
	
	---------------------------
	-- parent frame alpha
	---------------------------
	local t = Glance.Frames.mainFrame:CreateTexture(nil, "BACKGROUND")
	t:SetTexture(0, 0, 0, .5)
	t:SetAllPoints(Glance.Frames.mainFrame)
	Glance.Frames.mainFrame.texture = t 
	
	---------------------------
	-- parent frame border
	---------------------------
	local t2 = Glance.Frames.mainFrame:CreateTexture(nil, "BORDER")
	t2:SetTexture(.4, .4, .4)
	t2:SetPoint("TOPLEFT", Glance.Frames.mainFrame, "BOTTOMLEFT", 0, 0)
	t2:SetPoint("TOPRIGHT", Glance.Frames.mainFrame, "BOTTOMRIGHT", 0, 0)
	t2:SetWidth(Glance.Variables.screenWidth)
	t2:SetHeight(1)

	---------------------------
	-- create buttons
	---------------------------
	Glance.Buttons.Gold = Glance.Functions.createButton(1,Glance.Frames.mainFrame,"LEFT","LEFT",nil,nil)
	Glance.Buttons.Emblems = Glance.Functions.createButton(2,Glance.Buttons.Gold,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Friends = Glance.Functions.createButton(3,Glance.Buttons.Emblems,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Guild = Glance.Functions.createButton(4,Glance.Buttons.Friends,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Armor = Glance.Functions.createButton(5,Glance.Buttons.Guild,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.XP = Glance.Functions.createButton(6,Glance.Buttons.Armor,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Rep = Glance.Functions.createButton(7,Glance.Buttons.XP,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Professions = Glance.Functions.createButton(8,Glance.Buttons.Rep,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Lag = Glance.Functions.createButton(9,Glance.Buttons.Professions,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.FPS = Glance.Functions.createButton(10,Glance.Buttons.Lag,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Mem = Glance.Functions.createButton(11,Glance.Buttons.FPS,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Mounts = Glance.Functions.createButton(12,Glance.Buttons.Mem,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.Pets = Glance.Functions.createButton(13,Glance.Buttons.Mounts,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.WG = Glance.Functions.createButton(14,Glance.Buttons.Pets,"LEFT","RIGHT",nil,nil)
	Glance.Buttons.TB = Glance.Functions.createButton(15,Glance.Buttons.WG,"LEFT","RIGHT",nil,nil,12)
	Glance.Buttons.Time = Glance.Functions.createButton(16,Glance.Frames.mainFrame,"RIGHT","RIGHT",nil,nil)
	Glance.Buttons.Location = Glance.Functions.createButton(17,Glance.Buttons.Time,"RIGHT","LEFT",nil,nil)
end

---------------------------
-- configure buttons
---------------------------
function Glance.Functions.createButton(num,parent,side,position,tnormal,thilight,width)
	local btn = CreateFrame("BUTTON", "Glance_btn"..num, Glance.Frames.mainFrame)
	if width ~= nil then
		btn:SetWidth(width)
	else
		btn:SetWidth(50)
	end
	btn:SetHeight(10)
	local fs = btn:CreateFontString()
	fs:SetFont(Glance.Variables.fnt_file, 11)
	btn:SetFontString(fs)
	btn:SetText(" ")
	if tnormal ~= nil then
		btn:SetNormalTexture(tnormal)
		btn:SetHighlightTexture(thilight)
	end
	if side ~= "RIGHT"  then
		btn:SetPoint(side, parent, position, Glance.Variables.spacer, 0)
	else
		btn:SetPoint(side, parent, position, -Glance.Variables.spacer, 0)
	end
	--btn:SetBackdrop(Glance.Arrays.backDrop)
	return btn
end

---------------------------
-- resize buttons
---------------------------
function Glance.Functions.editButtons(btnh, fnth)
	for i=1, 17 do
		_G["Glance_btn"..i]:SetHeight(btnh)
		local fs = _G["Glance_btn"..i]:CreateFontString()
		fs:SetFont(Glance.Variables.fnt_file, fnth)
		_G["Glance_btn"..i]:SetFontString(fs)
	end
end